### Method

# Gtk TextViewforward_display_line

#### Declaration [src]

    gboolean
    gtk_text_view_forward_display_line (
      GtkTextView* text_view,
      GtkTextIter* iter
    )

#### Description [src]

Moves the given `iter` forward by one display (wrapped) line.

A display line is different from a paragraph. Paragraphs are separated by newlines or other paragraph separator characters. Display lines are created by line-wrapping a paragraph. If wrapping is turned off, display lines and paragraphs will be the same. Display lines are divided differently for each view, since they depend on the view’s width; paragraphs are the same in all views, since they depend on the contents of the `GtkTextBuffer`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `iter` was moved and is not on the end iterator.